Author Topic: vla-put-? how do I list the options available?  (Read 6008 times)

0 Members and 1 Guest are viewing this topic.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: vla-put-? how do I list the options available?
« Reply #15 on: June 25, 2008, 06:57:24 PM »
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: vla-put-? how do I list the options available?
« Reply #16 on: June 25, 2008, 10:14:30 PM »
You can play with this too:
Code: [Select]
(setq ValuesList (list "ST00" "CONTINUOUS" 8 "60" "Layer Description ST00"))
(mapcar
  '(lambda (prop value)
     (vlax-put-property obj prop value))
   (list 'linetype 'color 'lineweight 'description)
   (cdr ValuesList)
 )

Yep, thats pretty economical :-)
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: vla-put-? how do I list the options available?
« Reply #17 on: June 25, 2008, 10:16:24 PM »
Another advantage of looking at the object using
(vlax-dump-object objxx t)
is that you can see the READ ONLY properties listed ... that info saves beating the head against a wall sometimes
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

KewlToyZ

  • Guest
Re: vla-put-? how do I list the options available?
« Reply #18 on: June 26, 2008, 11:47:56 AM »
Quote
If you use the vlide and inspect the Vla-Object, you'll see all the other goodies.

...
trying to find the vla-put- for (plot / no plot)
vla-put-plottable wasn't it,
; error: ActiveX Server returned an error: Parameter not optional
tried plot and noplot
Sifting through help files right now too.
Mainly I wanted to access every varation possible for the new layer management systems including noplot & reconcile as well.

(vla-put-plottable layer :vlax-true or :vlax-false) :-)

Thanks a lot for getting me into these.
Code: [Select]
Command: (vlax-dump-object(vlax-ename->vla-object (tblobjname "layer" "0"))T)
; IAcadLayer: A logical grouping of data, similar to transparent acetate
overlays on a drawing
; Property values:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00cbef78>
;   Description = ""
;   Document (RO) = #<VLA-OBJECT IAcadDocument 0158f5d0>
;   Freeze = 0
;   Handle (RO) = "10"
;   HasExtensionDictionary (RO) = -1
;   LayerOn = -1
;   Linetype = "Continuous"
;   Lineweight = -3
;   Lock = 0
;   Material = "Global"
;   Name = "0"
;   ObjectID (RO) = 2129665152
;   ObjectName (RO) = "AcDbLayerTableRecord"
;   OwnerID (RO) = 2129665040
;   PlotStyleName = "Color_7"
;   Plottable = -1
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 0cc17440>
;   Used (RO) = -1
;   ViewportDefault = 0
; Methods supported:
;   Delete ()
;   GetExtensionDictionary ()
;   GetXData (3)
;   SetXData (2)
T
Possibly the fact I used 1 & 0 when it needed a negative. Going to ply with this some more.
Thanks for the new toys!!

ronjonp

  • Needs a day job
  • Posts: 7531
Re: vla-put-? how do I list the options available?
« Reply #19 on: June 26, 2008, 11:56:07 AM »
Glad to help :)

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC